org.eclipse.microprofile.rest.client.tck.cditests

## Class CDIURIvsURLConfigTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.cditests.CDIURIvsURLConfigTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIURIvsURLConfigTest
    extends WiremockArquillianTest

Verifies that URI declared via MP Config takes precedence over URL.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIURIvsURLConfigTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testBaseUriInRegisterRestClientAnnotation()`
`void` `testMPConfigURIOverridesBaseUriInRegisterRestClientAnnotation()`
`void` `testURItakesPrecedenceOverURL()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIURIvsURLConfigTest

    public CDIURIvsURLConfigTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testURItakesPrecedenceOverURL

    public void testURItakesPrecedenceOverURL()
                                       throws Exception

Throws:
  `Exception`

#### testBaseUriInRegisterRestClientAnnotation

    public void testBaseUriInRegisterRestClientAnnotation()
                                                   throws Exception

Throws:
  `Exception`

#### testMPConfigURIOverridesBaseUriInRegisterRestClientAnnotation

    public void testMPConfigURIOverridesBaseUriInRegisterRestClientAnnotation()
                                                                       throws Exception

Throws:
  `Exception`